Page MenuHomePhabricator

phabricator: change "readpatch" to be more flexible
ClosedPublic

Authored by quark on Jul 18 2017, 5:10 AM.

Details

Summary

Previously, readpatch and querydrev take a same params and stack
parameters. This patch changes readpatch so it takes the output of
querydrev, not the input of querydrev. This makes the code more
flexible and cleaner.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

quark created this revision.Jul 18 2017, 5:10 AM
mitrandir accepted this revision.Jul 18 2017, 10:32 AM
quark abandoned this revision.Jul 18 2017, 5:37 PM
quark reclaimed this revision.Aug 1 2017, 4:39 PM
quark updated this revision to Diff 486.
quark updated this revision to Diff 554.Aug 4 2017, 3:55 PM
quark updated this revision to Diff 569.Aug 4 2017, 6:13 PM
quark updated this revision to Diff 839.Aug 13 2017, 12:41 AM
durin42 accepted this revision.Aug 15 2017, 5:43 PM
This revision is now accepted and ready to land.Aug 15 2017, 5:43 PM
This revision was automatically updated to reflect the committed changes.